Loading...
Searching...
No Matches
ANNExport.h File Reference

Go to the source code of this file.

## Macros

#define | ANNLIB_DEPRECATED __attribute__ ((__deprecated__))
#define | ANNLIB_DEPRECATED_EXPORT ANNLIB_EXPORT ANNLIB_DEPRECATED
#define | ANNLIB_DEPRECATED_NO_EXPORT ANNLIB_NO_EXPORT ANNLIB_DEPRECATED
#define | ANNLIB_EXPORT __attribute__((visibility("default")))
#define | ANNLIB_NO_EXPORT __attribute__((visibility("hidden")))

## Macro Definition Documentation

## ANNLIB_DEPRECATED

#define ANNLIB_DEPRECATED __attribute__ ((__deprecated__))

Definition at line 25 of file ANNExport.h.

## ANNLIB_DEPRECATED_EXPORT

#define ANNLIB_DEPRECATED_EXPORT ANNLIB_EXPORT ANNLIB_DEPRECATED

Definition at line 29 of file ANNExport.h.

## ANNLIB_DEPRECATED_NO_EXPORT

#define ANNLIB_DEPRECATED_NO_EXPORT ANNLIB_NO_EXPORT ANNLIB_DEPRECATED

Definition at line 33 of file ANNExport.h.

## ANNLIB_EXPORT

#define ANNLIB_EXPORT __attribute__((visibility("default")))

Definition at line 15 of file ANNExport.h.

## ANNLIB_NO_EXPORT

#define ANNLIB_NO_EXPORT __attribute__((visibility("hidden")))

Definition at line 20 of file ANNExport.h.

Generated on 1768596610 for elastix by 1.15.0 |